"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _darwinoReact = require("@darwino/darwino-react");

var _MainPageMixin2 = require("./MainPageMixin");

var _MainPageMixin3 = _interopRequireDefault(_MainPageMixin2);

require("./dwo-bootstrap.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * (c) Copyright Darwino Inc. 2014-2017.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var FTSearchForm = function (_Component) {
    _inherits(FTSearchForm, _Component);

    function FTSearchForm(props) {
        _classCallCheck(this, FTSearchForm);

        var _this = _possibleConstructorReturn(this, (FTSearchForm.__proto__ || Object.getPrototypeOf(FTSearchForm)).call(this, props));

        _this.state = { _ftSearch: "" };
        return _this;
    }

    _createClass(FTSearchForm, [{
        key: "render",
        value: function render() {
            var _this2 = this;

            var grid = this.props.grid;
            if (grid) {
                return _react2.default.createElement(
                    "form",
                    { className: "pull-left", role: "search", style: { paddingBottom: 20 },
                        onSubmit: function onSubmit(evt) {
                            evt.preventDefault();grid.setFTSearch(_this2.state._ftSearch);
                        } },
                    _react2.default.createElement(
                        "div",
                        { className: "btn-group" },
                        _react2.default.createElement("span", { className: "glyphicon glyphicon-search ftsearch-query",
                            onClick: function onClick(evt) {
                                evt.preventDefault();grid.setFTSearch(_this2.state._ftSearch);
                            } }),
                        _react2.default.createElement("input", { type: "search", className: "form-control ftsearch-input", size: "50", placeholder: "Search...", name: "q",
                            value: this.state._ftSearch,
                            onChange: function onChange(evt) {
                                return _this2.setState({ _ftSearch: evt.target.value });
                            } }),
                        _react2.default.createElement("span", { className: "glyphicon glyphicon-remove-circle ftsearch-clear", style: this.state._ftSearch ? {} : { display: 'none' },
                            onClick: function onClick(evt) {
                                _this2.setState({ _ftSearch: "" });grid.setFTSearch("");
                            } })
                    )
                );
            }
            return null;
        }
    }]);

    return FTSearchForm;
}(_react.Component);

/*
 */


var CursorPage = function (_MainPageMixin) {
    _inherits(CursorPage, _MainPageMixin);

    function CursorPage() {
        _classCallCheck(this, CursorPage);

        return _possibleConstructorReturn(this, (CursorPage.__proto__ || Object.getPrototypeOf(CursorPage)).apply(this, arguments));
    }

    _createClass(CursorPage, [{
        key: "createFTSearchBar",


        // Overrides - mixins
        value: function createFTSearchBar() {
            return _react2.default.createElement(FTSearchForm, { grid: this.getGrid() });
        }

        // Context to read from the parent

    }]);

    return CursorPage;
}((0, _MainPageMixin3.default)(_darwinoReact.BaseCursorPage));

CursorPage.contextTypes = {
    router: _propTypes2.default.object,
    dialog: _propTypes2.default.object
};
exports.default = CursorPage;