'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _darwinoReact = require('@darwino/darwino-react');

var _darwinoReactBootstrap = require('@darwino/darwino-react-bootstrap');

var _MainPageMixin2 = require('./MainPageMixin');

var _MainPageMixin3 = _interopRequireDefault(_MainPageMixin2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * (c) Copyright Darwino Inc. 2014-2017.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


/*
 *
 */
var DocumentForm = function (_MainPageMixin) {
    _inherits(DocumentForm, _MainPageMixin);

    function DocumentForm() {
        _classCallCheck(this, DocumentForm);

        return _possibleConstructorReturn(this, (DocumentForm.__proto__ || Object.getPrototypeOf(DocumentForm)).apply(this, arguments));
    }

    _createClass(DocumentForm, [{
        key: 'gotoNextPage',
        value: function gotoNextPage() {
            var page = this.props.nextPageSuccess;
            if (page) {
                this.context.router.history.push(page);
            } else {
                this.context.router.history.goBack();
            }
        }

        // Context to read from the parent

    }]);

    return DocumentForm;
}((0, _MainPageMixin3.default)(_darwinoReact.BaseDocumentForm));

DocumentForm.contextTypes = {
    router: _propTypes2.default.object,
    dialog: _propTypes2.default.object
};
exports.default = DocumentForm;