"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require("react-bootstrap");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * (c) Copyright Darwino Inc. 2014-2017.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var FieldStatic = function (_Component) {
    _inherits(FieldStatic, _Component);

    function FieldStatic() {
        _classCallCheck(this, FieldStatic);

        return _possibleConstructorReturn(this, (FieldStatic.__proto__ || Object.getPrototypeOf(FieldStatic)).apply(this, arguments));
    }

    _createClass(FieldStatic, [{
        key: "render",
        value: function render() {
            var _props = this.props,
                input = _props.input,
                multiple = _props.multiple,
                type = _props.type,
                options = _props.options,
                editable = _props.editable,
                separator = _props.separator,
                disabled = _props.disabled,
                props = _objectWithoutProperties(_props, ["input", "multiple", "type", "options", "editable", "separator", "disabled"]);

            var value = input.value;

            var inputValue = multiple ? Array.isArray(value) ? FieldStatic.labelsFor(options, value).join(separator || ',') : "" : value !== undefined && value !== null ? FieldStatic.labelFor(options, value.toString()) : "";
            return _react2.default.createElement(
                _reactBootstrap.FormControl.Static,
                props,
                inputValue
            );
        }
    }], [{
        key: "labelFor",
        value: function labelFor(options, value) {
            if (options) {
                for (var i = 0; i < options.length; i++) {
                    var val = options[i];
                    if ((typeof val === "undefined" ? "undefined" : _typeof(val)) === "object" && val.value == value) {
                        return val.label !== undefined ? val.label : val.value;
                    }
                }
            }
            return value;
        }
    }, {
        key: "labelsFor",
        value: function labelsFor(options, values) {
            return values.map(function (v) {
                return FieldStatic.labelFor(options, v);
            });
        }
    }]);

    return FieldStatic;
}(_react.Component);

exports.default = FieldStatic;