'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

var _darwinoReact = require('@darwino/darwino-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * (c) Copyright Darwino Inc. 2014-2017.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


/*
 * List picker
 */
var ListPicker = function (_BaseListPicker) {
    _inherits(ListPicker, _BaseListPicker);

    function ListPicker() {
        _classCallCheck(this, ListPicker);

        return _possibleConstructorReturn(this, (ListPicker.__proto__ || Object.getPrototypeOf(ListPicker)).apply(this, arguments));
    }

    _createClass(ListPicker, [{
        key: 'renderBody',
        value: function renderBody() {
            var _this2 = this;

            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _reactBootstrap.ListGroup,
                    { style: { maxHeight: this.props.maxHeight || 400, overflow: "auto" } },
                    this.dataFetcher.getRows(0, this.dataFetcher.getRowCount()).map(function (value, index) {
                        return _react2.default.createElement(
                            _reactBootstrap.ListGroupItem,
                            { key: index, onClick: function onClick(e) {
                                    return _this2.selectValue(_this2.itemValue(value));
                                } },
                            _this2.renderItem(value, index)
                        );
                    })
                )
            );
        }
    }]);

    return ListPicker;
}(_darwinoReact.BaseListPicker);

exports.default = ListPicker;