"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _darwinoReact = require("@darwino/darwino-react");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * (c) Copyright Darwino Inc. 2014-2017.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


/*
 * Nav group
 */

var NavGroup = function (_BaseNavGroup) {
    _inherits(NavGroup, _BaseNavGroup);

    function NavGroup() {
        _classCallCheck(this, NavGroup);

        return _possibleConstructorReturn(this, (NavGroup.__proto__ || Object.getPrototypeOf(NavGroup)).apply(this, arguments));
    }

    _createClass(NavGroup, [{
        key: "render",
        value: function render() {
            var _props = this.props,
                title = _props.title,
                collapsible = _props.collapsible,
                children = _props.children,
                defaultExpanded = _props.defaultExpanded,
                props = _objectWithoutProperties(_props, ["title", "collapsible", "children", "defaultExpanded"]);
            // const cc = 


            if (collapsible) {
                return _react2.default.createElement(
                    "li",
                    { className: "dropdown open" },
                    _react2.default.createElement(
                        "a",
                        { className: "dropdown-toggle", onClick: this.handleClick },
                        _react2.default.createElement("i", { className: "glyphicon " + (this.state.expanded ? "glyphicon-chevron-down" : "glyphicon-chevron-right") }),
                        "\xA0",
                        title
                    ),
                    this.state.expanded && _react2.default.createElement(
                        "ul",
                        { className: "dropdown-menu" },
                        _react2.default.Children.map(this.props.children, function (child) {
                            return _react2.default.cloneElement(child, _extends({}, props));
                        })
                    )
                );
            } else {
                return _react2.default.createElement(
                    "li",
                    { className: "dropdown open" },
                    _react2.default.createElement(
                        "ul",
                        { className: "dropdown-menu" },
                        children
                    )
                );
            }
        }
    }]);

    return NavGroup;
}(_darwinoReact.BaseNavGroup);

exports.default = NavGroup;