/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React, {Component} from "react";
import { FormControl } from 'react-bootstrap';
import FieldStatic from './FieldStatic';

class FieldTextArea extends Component {
    render() {
        const { input, disabled, readOnly, ...props} = this.props;
        if(readOnly) return (<FieldStatic {...this.props}/>);
        
        return (
            <FormControl componentClass="textarea" {...props} {...input} disabled={disabled}>
            </FormControl>
        )
    }
}
export default FieldTextArea
