/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React from "react";
import InputBlock from "./InputBlock"
import FieldAttachments from "./FieldAttachments"

const renderAttachments = field => {
    const { horizontal, inline, meta, label, ...props} = field;
    return (
        <InputBlock label={label} meta={meta} horizontal={horizontal} inline={inline}>
            <FieldAttachments {...props}/>
        </InputBlock>
    )
}
export default renderAttachments
