/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React from "react";
import InputBlock from "./InputBlock"
import FieldDatePicker from "./FieldDatePicker"
import renderStatic from "./renderStatic"

const renderDatePicker = field => {
    const { horizontal, inline, meta, label, ...props} = field;
    return (
        <InputBlock label={label} meta={meta} horizontal={horizontal} inline={inline}>
            <FieldDatePicker {...props}/>
        </InputBlock>
    )
}
export default renderDatePicker