/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React from "react";
import InputBlock from "./InputBlock"
import FieldRadioGroup from "./FieldRadioGroup"
import renderStatic from "./renderStatic"

const renderRadioGroup = field => {
    const { horizontal, inline, label, meta, ...props} = field;
    return (
        <InputBlock label={label} meta={meta} horizontal={horizontal} inline={inline}>
            <FieldRadioGroup {...props} inline={inline}/>
        </InputBlock>
    )
}
export default renderRadioGroup