'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

var _FieldStatic = require('./FieldStatic');

var _FieldStatic2 = _interopRequireDefault(_FieldStatic);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * (c) Copyright Darwino Inc. 2014-2017.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var FieldText = function (_Component) {
    _inherits(FieldText, _Component);

    function FieldText() {
        _classCallCheck(this, FieldText);

        return _possibleConstructorReturn(this, (FieldText.__proto__ || Object.getPrototypeOf(FieldText)).apply(this, arguments));
    }

    _createClass(FieldText, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                input = _props.input,
                multiple = _props.multiple,
                type = _props.type,
                editable = _props.editable,
                separator = _props.separator,
                disabled = _props.disabled,
                readOnly = _props.readOnly,
                props = _objectWithoutProperties(_props, ['input', 'multiple', 'type', 'editable', 'separator', 'disabled', 'readOnly']);

            if (readOnly) return _react2.default.createElement(_FieldStatic2.default, this.props);

            var inputType = type;
            var inputReadOnly = editable !== undefined && editable;

            var inputAttr = input;
            if (multiple) {
                inputAttr = {
                    value: Array.isArray(input.value) ? input.value.join(separator || ',') : "",
                    onBlur: function onBlur(e) {
                        var a = (e.target.value || "").split(separator || ',');
                        input.onBlur(a);
                    },
                    onChange: function onChange(e) {
                        var a = (e.target.value || "").split(separator || ',');
                        input.onChange(a);
                    }
                };
                inputType = "text";
            }
            return _react2.default.createElement(_reactBootstrap.FormControl, _extends({ type: type }, props, inputAttr, { disabled: disabled, readOnly: inputReadOnly }));
        }
    }]);

    return FieldText;
}(_react.Component);

exports.default = FieldText;