/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React, { Component } from 'react';
import PropTypes from 'prop-types';

import { BaseDocumentForm } from "@darwino/darwino-react";
import { Messages, Dialog } from "@darwino/darwino-react-bootstrap";
import MainPageMixin from "./MainPageMixin"
    
/*
 *
 */
class DocumentForm extends MainPageMixin(BaseDocumentForm) {

    // Context to read from the parent
    static contextTypes = {
        router: PropTypes.object,
        dialog: PropTypes.object
    };
    
    gotoNextPage() {
        const page = this.props.nextPageSuccess;
        if(page) {
            this.context.router.history.push(page);
        } else {
            this.context.router.history.goBack();
        }
    }}

export default DocumentForm
