/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React, {Component} from "react";
//import DatePicker from 'react-bootstrap-date-picker';
import DatePicker from 'react-16-bootstrap-date-picker';
import FieldStatic from './FieldStatic';

class FieldDatePicker extends Component {
    render() {
        const { input, disabled, readOnly, ...props} = this.props;
        if(readOnly) return (<FieldStatic {...this.props}/>);
        
        return (
            <DatePicker {...props} {...input} disabled={disabled}>
            </DatePicker>
        )
    }
}
export default FieldDatePicker
