/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React, { Component } from "react";
import { ListGroup, ListGroupItem } from 'react-bootstrap';
import { BaseListPicker } from '@darwino/darwino-react';

/*
 * List picker
 */
class ListPicker extends BaseListPicker {

    renderBody() {
        return (
            <div>
                <ListGroup style={{maxHeight: this.props.maxHeight||400, overflow: "auto"}}>
                {this.dataFetcher.getRows(0,this.dataFetcher.getRowCount()).map((value, index) =>
                    <ListGroupItem key={index} onClick={(e) => this.selectValue(this.itemValue(value))}>
                        {this.renderItem(value,index)}
                    </ListGroupItem>
                )}
                </ListGroup>
            </div>
        )
    }
}

export default ListPicker
