/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React, { Component } from "react";
import { Form, FormGroup, Col, FormControl, ControlLabel, ListGroup, ListGroupItem } from 'react-bootstrap';
import { BaseUserPicker } from '@darwino/darwino-react';

/*
 * User picker
 */
class UserPicker extends BaseUserPicker {

    renderBody() {
        return (
            <div>
                <FormControl autoFocus={true} type="search" placeholder="search..." onChange={this.onSearchChange} style={{marginBottom: 12}}/>
                
                <ListGroup style={{maxHeight: this.props.maxHeight||400, overflow: "auto"}}>
                {this.state.users.map((value, index) =>
                    <ListGroupItem key={index}>
                        {this.renderItem(value,index)}
                    </ListGroupItem>
                )}
                </ListGroup>
            </div>
        )
    }
}


export default UserPicker
