/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React from "react";
import InputBlock from "./InputBlock"
import FieldRichText from "./FieldRichText"
import renderStatic from "./renderRichText"

const renderRichText = field => {
    const { horizontal, inline, meta, label, ...props} = field;
    return (
        <InputBlock label={label} meta={meta} horizontal={horizontal} inline={inline}>
            <FieldRichText {...props}/>
        </InputBlock>
    )
}
export default renderRichText
